Rubygems environment in vista

I’m having trouble loading RubyGems into my Vista32 environment. It
will only run from ruby/bin. See below:

C:\Rails\rails_apps>gem -v
The filename, directory name, or volume label syntax is incorrect.

C:\Rails\rails_apps>ruby -v
ruby 1.8.6 (2007-09-24 patchlevel 111) [i386-mswin32]

C:\Rails\rails_apps>rails -v
Rails 2.2.2

C:\Rails\rails_apps>cd…\ruby\bin

C:\Rails\ruby\bin>gem -v
1.3.1

In Vista’s environment settings, RUBYOPT -rubygems is present but it
does not work. Is there something I am missing? Thanks in advance.

On Dec 18, 2008, at 10:30 AM, Taylor S. [email protected]
wrote:

Rails 2.2.2

C:\Rails\rails_apps>cd…\ruby\bin

C:\Rails\ruby\bin>gem -v
1.3.1

In Vista’s environment settings, RUBYOPT -rubygems is present but it
does not work. Is there something I am missing? Thanks in advance.

Is the ruby/bin directory in your path?

Mark T. wrote:

Is the ruby/bin directory in your path?

Nice call. The path had been set to something else. This fixed my
problem. Thanks!

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs